package com.ssj.service.conch.parents.request;


import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class SayRequest extends BaseRequest {

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "childUserId", value = "小孩childUserId", required = true)
	private String childUserId;
	
	@ApiModelProperty(name = "sayType", value = "类型(TEXT,VOICE)", required = true)
    private String sayType;

    @ApiModelProperty(name = "content", value = "文字", required = false)
    private String content;

    @ApiModelProperty(name = "fileKey", value = "语音", required = false)
    private String fileKey;

    @ApiModelProperty(name = "duration", value = "时长", required = false)
    private String duration;

    public String getSayType() {
        return sayType;
    }

    public void setSayType(String sayType) {
        this.sayType = sayType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

	public String getChildUserId() {
		return childUserId;
	}

	public void setChildUserId(String childUserId) {
		this.childUserId = childUserId;
	}
    
}
